---@meta

---@class ABP_MissileExplosion_Direct_C : ABP_Event_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field StaticMesh UStaticMeshComponent
---@field Exploded boolean
---@field ['Damage Settings'] FST_Damage_Settings
---@field ['Explosion Radius'] float
---@field TargetXScale double
---@field SmokeTimer FTimerHandle
---@field ScaleAlpha double
local ABP_MissileExplosion_Direct_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_MissileExplosion_Direct_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_MissileExplosion_Direct_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_MissileExplosion_Direct_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_MissileExplosion_Direct_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_MissileExplosion_Direct_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_MissileExplosion_Direct_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_MissileExplosion_Direct_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param IsPickupable boolean
function ABP_MissileExplosion_Direct_C:IsPickupable(IsPickupable) end
---@param Success boolean
function ABP_MissileExplosion_Direct_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_MissileExplosion_Direct_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_MissileExplosion_Direct_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_MissileExplosion_Direct_C:BlockInteraction(Player, BlockInteraction) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_MissileExplosion_Direct_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_MissileExplosion_Direct_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_MissileExplosion_Direct_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_MissileExplosion_Direct_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_MissileExplosion_Direct_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_MissileExplosion_Direct_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_MissileExplosion_Direct_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_MissileExplosion_Direct_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_MissileExplosion_Direct_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_MissileExplosion_Direct_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_MissileExplosion_Direct_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_MissileExplosion_Direct_C:GetObjectAttachType(Success, AttachType) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_MissileExplosion_Direct_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_MissileExplosion_Direct_C:GetAttachPointState(Success, AttachPointState) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_MissileExplosion_Direct_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_MissileExplosion_Direct_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_MissileExplosion_Direct_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_MissileExplosion_Direct_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Success boolean
function ABP_MissileExplosion_Direct_C:Explode(Success) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_MissileExplosion_Direct_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_MissileExplosion_Direct_C:GetVisuals(Mesh, DynamicMaterial) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_MissileExplosion_Direct_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_MissileExplosion_Direct_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_MissileExplosion_Direct_C:Repair(RepairTarget, RepairTool, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_MissileExplosion_Direct_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_MissileExplosion_Direct_C:AddImpulse(ImpulseStrength, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_MissileExplosion_Direct_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_MissileExplosion_Direct_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_MissileExplosion_Direct_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function ABP_MissileExplosion_Direct_C:StartCooking(Heat) end
function ABP_MissileExplosion_Direct_C:StopCooking() end
---@param ExplodeTarget AActor
function ABP_MissileExplosion_Direct_C:MultiCast_ExplodeTarget(ExplodeTarget) end
function ABP_MissileExplosion_Direct_C:ReceiveBeginPlay() end
function ABP_MissileExplosion_Direct_C:UpdateScale() end
---@param EntryPoint int32
function ABP_MissileExplosion_Direct_C:ExecuteUbergraph_BP_MissileExplosion_Direct(EntryPoint) end


